Subject: Re: bug#43577: wrong result for grep -io in turkish locale

From: Jim Meyering <[email-masked]>
Date: Wed, 23 Sep 2020 07:30:58 -0700

On Wed, Sep 23, 2020 at 6:24 AM Norihiro Tanaka <[email-masked]> wrote:
>
> In turkish locale, upper and lower case are mapped as following.
>
>   U0049 <-> U0131
>   U0069 <-> U0130
>
> It's expected that both following test cases returns U0130, but later
> returns nothing.
>
> $ printf '\304\260\n' >I  # U0130
> $ env LC_ALL=tr_TR.utf8 grep -i i I
> ?  # U0130

Oh! We must have different code or systems.
When I run anything using -i and that locale on Fedora 32, it aborts:

$ LC_ALL=tr_TR.utf8 src/grep -i a
zsh: abort (core dumped)  LC_ALL=tr_TR.utf8 src/grep -i a